# class Chef::Knife::CookbookSiteDownload

### Public Instance Methods

run() click to toggle source

    # File lib/chef/knife/cookbook_site_download.rb, line 40
    def run
      if current_cookbook_deprecated?
        message = 'DEPRECATION: This cookbook has been deprecated. '
        message << "It has been replaced by #{replacement_cookbook}."
        ui.warn message

        unless config[:force]
          ui.warn 'Use --force to force download deprecated cookbook.'
          return
        end
      end

      download_cookbook
    end

version() click to toggle source

    # File lib/chef/knife/cookbook_site_download.rb, line 55
    def version
      @version = desired_cookbook_data['version']
    end